[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cbi-dev] Building Eclipse under Ubuntu 13.04: Failure at org.eclipse.swt.gtk.linux.x86_64

> Is it possible that you currently need the toolchains.xml and all jdks
> from 1.4 to 1.7 are needed to run a successful build?


Yes, this is currently true. We had to "break" the ability not to require it in the heat of the release. See bug 409790, especially around

https://bugs.eclipse.org/bugs/show_bug.cgi?id=409790#c32

Apologies for not keeping the list better informed. I assume everyone reads ALL our bugs :)

Thanks,




From:        Hendrik Still <hendrik.still@xxxxxxxxx>
To:        Common-build Developers discussion <cbi-dev@xxxxxxxxxxx>,
Date:        06/24/2013 08:53 AM
Subject:        Re: [cbi-dev] Building Eclipse under Ubuntu 13.04: Failure at        org.eclipse.swt.gtk.linux.x86_64
Sent by:        cbi-dev-bounces@xxxxxxxxxxx




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hey,

thanks for your answer. I think I miss understood the Flag.
But after a long time of trial and error my build finally works.

Is it possible that you currently need the toolchains.xml and all jdks
from 1.4 to 1.7 are needed to run a successful build?

Regards,
Hendrik




Am 24.06.2013 08:40, schrieb Krzysztof Daniel:
> Hey Hendrik,
>
> you seem to be building native libraries, too. This may be a bit
> difficult. Issues that I'm aware right now:
>
> 1. CBI build with natives is not capable of building SWT due to
> the xulrunner issues. You've to choose: webkit or no native build.
> Currently in Fedora I call:
>
> pushd  eclipse.platform.swt.binaries/bundles find . -name build.xml
> -exec sed -i -e "s/make_xulrunner//g" {} \; find . -name build.xml
> -exec sed -i -e "s/make_mozilla//g" {} \; find . -name build.xml
> -exec sed -i -e "s/make_xpcominit//g" {} \; popd
>
> to disable mozilla/xulrunner building.
>
> 2. To build native parts you'll need a whole bunch of libraries
> (Fedora names are: make, gcc, gtk2-devel, nspr-devel,
> webkitgtk-devel, mesa-libGL-devel, mesa-libGLU-devel, cairo - I'm
> sorry, I don't know Ubuntu counterparts). To discover which are
> missing, you need to look earlier in the build log, to find place
> where native build fails (like gcc compilation error).
>
> 3. You need to run the build twice to get launchers built: 386377:
> Native launcher not built during first build
>
https://bugs.eclipse.org/bugs/show_bug.cgi?id=386377
>
> If you put an entire log somewhere, I could take a glimpse.
>
> HTH.
>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with undefined -
http://www.enigmail.net/

iQEcBAEBAgAGBQJRyEFEAAoJECjZOs4dIxislZ8H/2SsYqHVgjcHiQXTDLxCQVof
xz3T7Ypfp9sic8co0/ACp1Xl7lOPnopVIQdkzayul+xdhEcz4KNi5jCkfVos5u5i
88Weh29yNSJs+s4eLE3vlGZsrrh+1JInBAfIJq1sl0VFOt3dRYuWkox6CTZHIacX
a88ScCKMGaq/q1pCyfJXQ4pm9HUCqZ6XyzalQ5Fck1xMkBIFNoDsJjcu7wxmF1pW
1ON/JKVArAeVM6SdV/E1fNHTHs/FhDXC6C/mQXLGGn510/hy5wXTZGolLSdtnD+l
NOv1Tht0iM+qZvFwgYGfCmf+oKKyBK7CN7pUaUJ6Yt/i3m2aan1zcSmy+DYU/xo=
=x+FA
-----END PGP SIGNATURE-----
_______________________________________________
cbi-dev mailing list
cbi-dev@xxxxxxxxxxx
http://dev.eclipse.org/mailman/listinfo/cbi-dev